Bug 206676 - http installation fails unable to read package metadata
http installation fails unable to read package metadata
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-09-15 12:45 EDT by John McBride
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-25 09:40:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anaconda log for repomod.xml read failure (11.80 KB, text/plain)
2006-09-22 01:11 EDT, John McBride
no flags Details

  None (edit)
Description John McBride 2006-09-15 12:45:33 EDT
Description of problem:

Network/http install fails with empty repomd.xml error.

Version-Release number of selected component (if applicable):

How reproducible:

1) share DVD iso from network machine
2) boot rescue disk and use "linux askmethod"
3) select http installation method

After step of entering root password, progress dialog states "retrieving
installation information" then errors out with "Unable to read package metadata.
..Please insure your install tree has been correctly generated" (okay stops

Steps to Reproduce:
1. See above.
Actual results:

Installation of fc6t3 fails.

Expected results:

Success of installation via http.

Additional info:

Repeating test with fc5 rescue and dvd succeeds.
Console shows xml read failures on
/mnt/sysimage/var/cache/yum/anaconda/repomd.xml (note : file is actually empty)

File is not empty on fc5.
Comment 1 Chris Lumens 2006-09-20 15:33:50 EDT
Have you verified that your HTTP site actually has a full mirror of the test
release?  If you can attach /tmp/anaconda.log, that would be helpful.  This
should be fixed post-test3, but having the logs can help confirm that.
Comment 2 John McBride 2006-09-20 23:37:57 EDT
Yes. This is done on a lan. I pick one of my machines and web serve the DVD iso
mounted via loopback. The SHA1SUM of the FC6T3 rescue and FC6T3 DVD iso are
correct. I've done this many times with FC3, FC4 and FC5. I ran the test twice
with FC5 and FC6T3. Both FC5 tests passed as usual and both FC6T3 failed at the
same point with the repomd.xml file empty. I will attach the errant logs in a
day or so depending on my schedule.
Comment 3 John McBride 2006-09-22 01:11:47 EDT
Created attachment 136928 [details]
anaconda log for repomod.xml read failure

Attached per request however overall this report is probably not a bug.
Comment 4 John McBride 2006-09-22 01:16:04 EDT
I recommend closure on this. 3/3 machines can sha1sum my FC5 DVD successfully,
while 2/3 have semi-random sector failures on my FC6T3 DVD. Therefore there is a
media/drive incompatibility at play and I am sorry for wasting your time on
this.   On the one machine that can sha1sum the FC6T3 DVD successfully, the iso
successfully is successfully served and installs via http:// correctly.
Comment 5 Chris Lumens 2006-09-25 09:40:42 EDT
Closing based on comment #4.

Note You need to log in before you can comment on or make changes to this bug.